Skip to main content
GET
Lista as notas fiscais (obrigações de NF)

Authorizations

Authorization
string
header
required

Chave de API (prefixo rstr_) enviada como Authorization: Bearer rstr_....

Query Parameters

limit
integer
default:25
Required range: 1 <= x <= 100
starting_after
string
Pattern: ^inv_[0-9A-HJKMNP-TV-Z]{26}$
ending_before
string
Pattern: ^inv_[0-9A-HJKMNP-TV-Z]{26}$
affiliate_id
string

Filtra notas fiscais por afiliado.

Example:

"aff_01J9Z3K8N2QF4T7B9XP0WMD5RC"

payout_id
string

Filtra notas fiscais por pagamento (payout).

Example:

"pay_01J9Z3K8N2QF4T7B9XP0WMD5RC"

status
enum<string>

Filtra por status da NF (pending, processing, validated, rejected ou canceled).

Available options:
pending,
processing,
validated,
rejected,
canceled
Example:

"validated"

Response

200 - application/json

Default Response

data
object[]
required
hasMore
boolean
required
nextCursor
string | null
required

Cursor da próxima página (use em starting_after).

previousCursor
string | null
required

Cursor da página anterior (use em ending_before).